/* Fonts */
@import url('../fonts/stylesheet.css');

/* Default styles */
:root {
    --raisin-black: #272727ff;
    --tropical-indigo: #9e7decff;
    --spring-bud: #adff0aff;
    --atomic-tangerine: #ff9e66ff;
    --baby-powder: #fdfffcff;
}

html {
    color: var(--baby-powder);
    background-color: var(--raisin-black);
    font-family: 'SciFly Sans', sans-serif;
}

body {
    font-size: 17pt;
    text-align: center;
}

main {
    width: 95%;
    margin: auto;
}

/* Navigation Menu */
nav {
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    border-bottom: 3px double #fdfffc33;
}

nav a {
    width: 20vw;
    margin: 10px;
    padding: 1em 2em;
}

nav a:hover {
    color: var(--baby-powder);
    background-color: #fdfffc33;
}

/* Text */
h1 {
    font-family: 'Porcelain', cursive;
    color: var(--baby-powder);
}

h1 {
    text-align: center;
    font-size: 5em;
    font-weight: 300;
}

h2 {
    font-size: 24pt;
}

h3 {
    font-size: 20pt;
}

p {
    text-align: left;
}

i {
    color: var(--baby-powder);
}

a i:hover {
    color: var(--spring-bud);
}

a {
    color: var(--spring-bud);
    text-decoration: none;
}

a:not(nav a) {
    border-bottom: 1px dotted var(--spring-bud);
}

/* Widget */
div.lastfm {
    width: 100% !important;
}

/* Form */
form {
    text-align: left;
}

input,
textarea {
    display: block;
    width: 85%;
    padding: 10px;
    margin: 16px;
    font: inherit;
    background-color: var(--baby-powder);
    border: none;
    border-radius: 3px;
    color: var(--raisin-black);
}

textarea {
    resize: vertical;
}

label {
    display: block;
    margin-left: 16px;
    width: 90%;
}

input[type="submit"] {
    width: auto;
    background-color: var(--tropical-indigo);
    color: black;
}

/* Gallery */
.pswp__button i {
    text-align: center;
    padding: 20px 15px;
}

/* For large screens */
@media only screen and (min-width: 1000px) {
    main {
        width: 55%;
        margin: auto;
    }

    nav {
        flex-flow: row nowrap;
    }
}